Save This Page
Home » cocoon-2.1.11-src » org.apache » cocoon » acting » [javadoc | source]
org.apache.cocoon.acting
public class: FormValidatorAction [javadoc | source]
java.lang.Object
   org.apache.avalon.framework.logger.AbstractLogEnabled
      org.apache.cocoon.acting.AbstractAction
         org.apache.cocoon.acting.AbstractConfigurableAction
            org.apache.cocoon.acting.ConfigurableServiceableAction
               org.apache.cocoon.acting.AbstractComplementaryConfigurableAction
                  org.apache.cocoon.acting.AbstractValidatorAction
                     org.apache.cocoon.acting.FormValidatorAction

All Implemented Interfaces:
    org.apache.avalon.framework.thread.ThreadSafe, org.apache.avalon.framework.service.Serviceable, org.apache.avalon.framework.configuration.Configurable, Action

Direct Known Subclasses:
    SessionFormAction

This is the action used to validate Request parameters. The parameters are described via the external xml file (its format is defined in AbstractValidatorAction).
Fields inherited from org.apache.cocoon.acting.ConfigurableServiceableAction:
manager
Fields inherited from org.apache.cocoon.acting.AbstractConfigurableAction:
settings
Fields inherited from org.apache.cocoon.acting.AbstractAction:
EMPTY_MAP
Method from org.apache.cocoon.acting.FormValidatorAction Summary:
createMapOfParameters,   isStringEncoded
Methods from org.apache.cocoon.acting.AbstractValidatorAction:
act,   createMapOfParameters,   getDescriptor,   getSetOfParameterNamesFromSitemap,   indexConfiguration,   isDescriptorReloadable,   isStringEncoded,   resolveConstraints,   setResult,   validateParameter,   validateParameter,   validateSetOfParameters,   validateValue
Methods from org.apache.cocoon.acting.AbstractComplementaryConfigurableAction:
getConfiguration,   getConfiguration,   getConfiguration
Methods from org.apache.cocoon.acting.ConfigurableServiceableAction:
service
Methods from org.apache.cocoon.acting.AbstractConfigurableAction:
configure
Methods from java.lang.Object:
equals,   getClass,   hashCode,   notify,   notifyAll,   toString,   wait,   wait,   wait
Method from org.apache.cocoon.acting.FormValidatorAction Detail:
 protected HashMap createMapOfParameters(Map objectModel,
    Collection set) 
    Reads parameter values from request parameters for all parameters that are contained in the active constraint list. If a parameter has multiple values, all are stored in the resulting map.
 boolean isStringEncoded()